cutlass::MatrixShape< Row_, Column_ > Struct Template Reference

Describes the size of a matrix tile.

`#include <matrix_shape.h>`

## Static Public Member Functions

static CUTLASS_HOST_DEVICE Coord< 2 > | toCoord ()

## Static Public Attributes

static int const | kRow = Row_
| rows of a matrix More...
static int const | kColumn = Column_
| columns of a matrix More...
static int const | kCount = Row_ * Column_
| total number of elements in a matrix More...

## Member Function Documentation

template<int Row_, int Column_>

static CUTLASS_HOST_DEVICE Coord<2> cutlass::MatrixShape< Row_, Column_ >::toCoord | ( |  | ) |

inlinestatic

## Member Data Documentation

template<int Row_, int Column_>

int const cutlass::MatrixShape< Row_, Column_ >::kColumn = Column_

static

template<int Row_, int Column_>

int const cutlass::MatrixShape< Row_, Column_ >::kCount = Row_ * Column_

static

template<int Row_, int Column_>

int const cutlass::MatrixShape< Row_, Column_ >::kRow = Row_

static

The documentation for this struct was generated from the following file:

- matrix_shape.h